const {
    weaponshop,
    slots,
    rarecars,
    simplecars,
    houses,
    cars,
    phones,
    weapons,
    equipment,
    UserModel,
    InviteModel,
    WorldModel,
    JobModel,
    PropertyModel,
    BusinessModel,
    ReportModel,
    BlockModel,
    PromocodeModel,
    mainChat,
    adminList,
    expToUp,
    topSym
} = global.config
const {
    spaces,
    spacesWithMarkdown,
    escape,
    generatePromo,
    generateVoucher,
    getCurrentTime,
    getSlot,
    giveExp,
    matPriceUpdate,
    rand,
    random,
    setCooldown,
    weaponShopUpdate,
    stats
} = require('../utils')

module.exports = async (ctx) => {
    let user = await UserModel.findByPk(ctx.from.id);
    const invites = await InviteModel.findAll({ where: { type: 'referral', author: ctx.from.id } });
    if (invites.length == 0) {
        const invite = await InviteModel.create({ author: ctx.from.id, uid: `${user.username}_ref_invite`, type: 'referral' });
        return ctx.reply( `
            ℹ️ Для приглашения друга по реферальной системе, отправьте ему ссылку-приглашение 
            Как только он перейдет по ней и начнет игру, Вы получите 3 дня статуса "Bronze".
            Ваша ссылка: https://t.me/CampFireGameBot?start=${invite.uid}) 
        `);
    }
    
    const invite = invites[0];
    return ctx.reply( `
        ℹ️ Для приглашения друга по реферальной системе, отправьте ему ссылку-приглашение 
        Как только он перейдет по ней и начнет игру, Вы получите 3 дня статуса "Bronze".
        Ваша ссылка: https://t.me/CampFireGameBot?start=${invite.uid}) 
    `);
}